package info.aspirecn.cloud.yysj.cloudyysjlogin.entity.database;


import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.ToString;
import java.io.Serializable;
import java.util.Date;


@ToString
@Data
@TableName("yysj_user")
public class YysjUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户id，一般是国家物流平台交换码
     */
    @TableField(value = "userId")
    private String userId;

    /**
     * 访问数据交互网关的 appid
     */
    @TableField(value = "appId")
    private String appId;

    /**
     * 访问数据交互网关的 secret
     */
    private String secret;

    /**
     * 国家物流平台注册时的用户名
     */
    private String username;

    /**
     * 数据交互创建用户的id
     */
    @TableField(value="sjjhUserId")
    private Integer sjjhUserId;

    /**
     * 创建时间
     */
    @TableField(value = "createTime", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "updateTime", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    public YysjUser() {
    }

}
