package info.aspirecn.cloud.yysj.cloudyysjlogin.service;

import info.aspirecn.cloud.yysj.cloudyysjlogin.entity.database.sjjh_entity.Result;
import info.aspirecn.cloud.yysj.cloudyysjlogin.entity.request.sjjh.CustomerInfo;
import info.aspirecn.cloud.yysj.cloudyysjlogin.entity.request.sjjh.User;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import java.util.Map;
@FeignClient(value = "${yysj.sjjh.info.creatUserService.feignValue}",url = "${yysj.sjjh.info.creatUserService.feignUrl}")
public interface CreatUserService  {
    /**
     * 数据交互中新增客户
     * @param customerInfo
     * @return
     */
    @RequestMapping(value = "customerInfoAdd.do", method = {RequestMethod.POST})
    Result customerInfoAdd(@RequestBody CustomerInfo customerInfo);

    /**
     * 获取客户名称列表
     * @param customerName 客户名称
     * @param customerId 客户id
     * @param pageNum  每页条数
     * @param pageSize 页码
     * @return 客户名称列表
     */
     @RequestMapping(value = "getCustomerName.do", method = {RequestMethod.POST})
     Result getCustomerName(@RequestParam(value = "customerName", required = false) String customerName,
                            @RequestParam(value = "customerId", required = false) String customerId,
                            @RequestParam(value = "pageNum", required = true) Integer pageNum,
                            @RequestParam(value = "pageSize", required = true) Integer pageSize);

    /**
     * 获取客户信息  appId以及secret
     * @param sid
     * @return
     */
    @RequestMapping(value = "customerInfo.do", method = {RequestMethod.POST})
     Result customerInfo(@RequestParam(value = "sid", required = true) String sid);

    /**
     * 数据交互查询用户信息
     * @param customName 客户姓名
     * @return Map 客户信息
     */
    @RequestMapping(value = "queryAppByCustomName.do", method = {RequestMethod.POST})
    Map<String,String> queryAppByCustomName(@RequestParam(name = "customName", required = true) String customName);

    @RequestMapping(value = "queryUser.do", method = {RequestMethod.POST})
    User getUserInfo(@RequestParam(name = "appId", required = true) String appId, @RequestParam(name = "appsecret", required = true) String appsecret);



}
