package info.aspirecn.cloud.yysj.cloudyysjlogin.service.impl;

import info.aspirecn.cloud.yysj.cloudyysjlogin.exceptions.SystemBusyException;
import info.aspirecn.cloud.yysj.cloudyysjlogin.service.LogoutService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

@Service
public class LogoutServiceImpl implements LogoutService {
    @Value(("${yysj.redis.prefix}"))
    private String prefix;
    @Autowired
    private RedisTemplate<String, Object> redisTemplate;
    @Override
    public void logout(String userId) {
        redisTemplate.delete(prefix+userId);
        if(redisTemplate.opsForValue().get(prefix+userId)!=null){
            throw new SystemBusyException("redis清空失败");
        }
    }
}
